require "log"
require "micrate"
require "pg"

Log.define_formatter Micrate::CliFormat, "#{message}" \
                                         "#{data(before: " -- ")}#{context(before: " -- ")}#{exception}"
Log.setup(:info, Log::IOBackend.new(formatter: Micrate::CliFormat))

Micrate::DB.connection_url = ENV["BACKEND_DB_URL"]?
Micrate::Cli.run
