module Backend
  module Db
    class Student
      include Clear::Model
      self.table = :students

      primary_key type: :serial

      belongs_to user : User

      has_one vote : Vote?, foreign_key: :student_id
      has_one assignment : Assignment?, foreign_key: :student_id
    end
  end
end
