module Backend
  module Db
    class Vote
      include Clear::Model
      self.table = :votes

      primary_key type: :serial

      belongs_to student : Student

      has_many teacher_votes : TeacherVote, foreign_key: :vote_id
    end
  end
end
