use yew::prelude::*;
use yew_side_effect::title::Title;

pub struct NotFound;

impl Component for NotFound {
    type Message = ();
    type Properties = ();

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, _ctx: &Context<Self>) -> Html {
        html! {
            <>
                <Title value="404 Not found" />
                <h1>{ "404" }</h1>
            </>
        }
    }
}
